/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.prolongations;

import org.cocktail.mangue.common.utilities.CocktailIcones;

import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class ReculAgeView extends javax.swing.JPanel {

	private static final long serialVersionUID = -7770031412248058797L;

    /** Creates new form TemplateJPanel */
    public ReculAgeView() {
                
        initComponents();
        initGui();
        
    }

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        tfLibelleEnfant = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        btnGetEnfant = new javax.swing.JButton();
        tfDateFinReelle = new javax.swing.JTextField();
        popupMotif = new javax.swing.JComboBox();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        tfLibelleEnfant1 = new javax.swing.JTextField();
        btnGetEnfant2 = new javax.swing.JButton();
        btnDelEnfant2 = new javax.swing.JButton();
        btnDelEnfant3 = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        btnGetEnfant3 = new javax.swing.JButton();
        tfLibelleEnfant2 = new javax.swing.JTextField();
        jScrollPane1 = new javax.swing.JScrollPane();
        tfCommentaires = new javax.swing.JTextArea();
        jLabel1 = new javax.swing.JLabel();

        setAutoscrolls(true);

        jLabel2.setText("Motif  ");

        tfLibelleEnfant.setEditable(false);

        jLabel3.setText("Enfant ");

        btnGetEnfant.setToolTipText("Sélection du motif du congé sans traitement");

        tfDateFinReelle.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateFinReelle.setToolTipText("");

        popupMotif.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel4.setText("Fin réelle");

        jLabel5.setText("Enfant 2");

        tfLibelleEnfant1.setEditable(false);

        btnGetEnfant2.setToolTipText("Sélection du motif du congé sans traitement");

        btnDelEnfant2.setToolTipText("Sélection du motif du congé sans traitement");

        btnDelEnfant3.setToolTipText("Sélection du motif du congé sans traitement");

        jLabel6.setText("Enfant 3");

        btnGetEnfant3.setToolTipText("Sélection du motif du congé sans traitement");

        tfLibelleEnfant2.setEditable(false);

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDateFinReelle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                        .add(jLabel6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 43, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(tfLibelleEnfant2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 427, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetEnfant3)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelEnfant3))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 43, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED))
                            .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                .add(jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(jPanel1Layout.createSequentialGroup()
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(popupMotif, 0, 427, Short.MAX_VALUE))
                                    .add(tfLibelleEnfant, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 427, Short.MAX_VALUE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetEnfant)
                                .add(39, 39, 39))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                                .add(tfLibelleEnfant1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 427, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetEnfant2)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelEnfant2)))))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfDateFinReelle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(popupMotif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(tfLibelleEnfant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnGetEnfant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnDelEnfant2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfLibelleEnfant1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnGetEnfant2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnDelEnfant3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfLibelleEnfant2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnGetEnfant3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        tfCommentaires.setColumns(20);
        tfCommentaires.setLineWrap(true);
        tfCommentaires.setRows(5);
        tfCommentaires.setAutoscrolls(false);
        jScrollPane1.setViewportView(tfCommentaires);

        jLabel1.setText("Commentaires :");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(20, 20, 20)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 567, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 420, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 68, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(26, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnDelEnfant2;
    private javax.swing.JButton btnDelEnfant3;
    private javax.swing.JButton btnGetEnfant;
    private javax.swing.JButton btnGetEnfant2;
    private javax.swing.JButton btnGetEnfant3;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JComboBox popupMotif;
    private javax.swing.JTextArea tfCommentaires;
    protected javax.swing.JTextField tfDateFinReelle;
    private javax.swing.JTextField tfLibelleEnfant;
    private javax.swing.JTextField tfLibelleEnfant1;
    private javax.swing.JTextField tfLibelleEnfant2;
    // End of variables declaration//GEN-END:variables

    
    public void setMotifs(NSArray liste) {
        popupMotif.removeAllItems();
        popupMotif.addItem("");
        for (int i=0;i<liste.count();i++)
        	popupMotif.addItem(liste.objectAtIndex(i));
    }

    private void initGui() {

    	btnGetEnfant.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnGetEnfant2.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnGetEnfant3.setIcon(CocktailIcones.ICON_SELECT_16);

    	btnDelEnfant2.setIcon(CocktailIcones.ICON_DELETE);
    	btnDelEnfant3.setIcon(CocktailIcones.ICON_DELETE);
    
    }

	public javax.swing.JButton getBtnDelEnfant2() {
		return btnDelEnfant2;
	}

	public void setBtnDelEnfant2(javax.swing.JButton btnDelEnfant2) {
		this.btnDelEnfant2 = btnDelEnfant2;
	}

	public javax.swing.JButton getBtnDelEnfant3() {
		return btnDelEnfant3;
	}

	public void setBtnDelEnfant3(javax.swing.JButton btnDelEnfant3) {
		this.btnDelEnfant3 = btnDelEnfant3;
	}

	public javax.swing.JButton getBtnGetEnfant() {
		return btnGetEnfant;
	}

	public void setBtnGetEnfant(javax.swing.JButton btnGetEnfant) {
		this.btnGetEnfant = btnGetEnfant;
	}

	public javax.swing.JButton getBtnGetEnfant2() {
		return btnGetEnfant2;
	}

	public void setBtnGetEnfant2(javax.swing.JButton btnGetEnfant2) {
		this.btnGetEnfant2 = btnGetEnfant2;
	}

	public javax.swing.JButton getBtnGetEnfant3() {
		return btnGetEnfant3;
	}

	public void setBtnGetEnfant3(javax.swing.JButton btnGetEnfant3) {
		this.btnGetEnfant3 = btnGetEnfant3;
	}

	public javax.swing.JComboBox getPopupMotif() {
		return popupMotif;
	}

	public void setPopupMotif(javax.swing.JComboBox popupMotif) {
		this.popupMotif = popupMotif;
	}

	public javax.swing.JTextArea getTfCommentaires() {
		return tfCommentaires;
	}

	public void setTfCommentaires(javax.swing.JTextArea tfCommentaires) {
		this.tfCommentaires = tfCommentaires;
	}

	public javax.swing.JTextField getTfDateFinReelle() {
		return tfDateFinReelle;
	}

	public void setTfDateFinReelle(javax.swing.JTextField tfDateFinReelle) {
		this.tfDateFinReelle = tfDateFinReelle;
	}

	public javax.swing.JTextField getTfLibelleEnfant() {
		return tfLibelleEnfant;
	}

	public void setTfLibelleEnfant(javax.swing.JTextField tfLibelleEnfant) {
		this.tfLibelleEnfant = tfLibelleEnfant;
	}

	public javax.swing.JTextField getTfLibelleEnfant1() {
		return tfLibelleEnfant1;
	}

	public void setTfLibelleEnfant1(javax.swing.JTextField tfLibelleEnfant1) {
		this.tfLibelleEnfant1 = tfLibelleEnfant1;
	}

	public javax.swing.JTextField getTfLibelleEnfant2() {
		return tfLibelleEnfant2;
	}

	public void setTfLibelleEnfant2(javax.swing.JTextField tfLibelleEnfant2) {
		this.tfLibelleEnfant2 = tfLibelleEnfant2;
	}

    
    
}
